[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[PATCH] INSTALL documentation update regarding Perl on Windows

From: Stefan Hett <stefan_at_egosoft.com>
Date: Thu, 23 Jul 2015 11:57:10 +0200

Hi,

as suggested by danielsh and with the input from Bert on IRC following
is a suggested patch to correct/update the stated Perl-requirements for
building on Windows in the install-documentation.

The update applies in principle to 1.7, 1.8, 1.9 and trunk.
The old phrasing incorrectly suggested that Perl was required for
building SVN with any version of Visual Studio on Windows, while it
actually is only required when building apr-util with BDB-support on VC6
(as pointed out by Bert) or when building OpenSSL (with any VS version)
from source.

The attached patch corrects that statement (patch against current trunk).

[[[
Correct statement of when Perl is required on Windows.
(patch suggested by danielsh with input taken from Bert)

* INSTALL
     updated/corrected I.C.11 Perl 5.8 or newer (Windows only) (OPTIONAL)
]]]

Regards,
Stefan

Received on 2015-07-23 11:57:44 CEST

This is an archived mail posted to the Subversion Dev mailing list.